summaryrefslogtreecommitdiffstats
path: root/source/l/clucene/clucene.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/clucene/clucene.SlackBuild')
-rwxr-xr-xsource/l/clucene/clucene.SlackBuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/source/l/clucene/clucene.SlackBuild b/source/l/clucene/clucene.SlackBuild
index 8600cccff..1b8e351d1 100755
--- a/source/l/clucene/clucene.SlackBuild
+++ b/source/l/clucene/clucene.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@
PKGNAM=clucene
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
@@ -73,7 +73,10 @@ tar xvf $CWD/clucene-src-$VERSION.tar.?z* || exit 1
cd clucene-src-$VERSION || exit 1
# Fix the pkgconfig file by adding required shared library.
-cat $CWD/clucene.pkgconfig.patch | patch -p1 --verbose || exit 1
+zcat $CWD/clucene.pkgconfig.patch.gz | patch -p1 --verbose || exit 1
+
+# Fix contrib-libs installation:
+zcat $CWD/clucene.install_contribs_lib.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
@@ -91,6 +94,7 @@ cd build
-DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_CONTRIBS_LIB:BOOL=ON \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
..
make $NUMJOBS || make || exit 1